import { type SessionConfig } from '@abstract-foundation/agw-client/sessions';
import type { WriteContractParameters } from '@wagmi/core';
import type { Address, Hash, Hex } from 'viem';
export type RevokeSessionsArgs = {
    sessions: SessionConfig | Hash | (SessionConfig | Hash)[];
    paymaster?: Address;
    paymasterData?: Hex;
} & Omit<WriteContractParameters, 'address' | 'abi' | 'functionName' | 'args'>;
export declare const useRevokeSessions: () => {
    data: undefined;
    error: null;
    status: "idle";
    isError: false;
    isPending: false;
    isSuccess: false;
    failureCount: number;
    failureReason: import("@wagmi/core").WriteContractErrorType | null;
    isPaused: boolean;
    variables: undefined;
    isIdle: true;
    reset: () => void;
    context: unknown;
    submittedAt: number;
    revokeSessions: (params: RevokeSessionsArgs) => void;
    revokeSessionsAsync: (params: RevokeSessionsArgs) => Promise<void>;
} | {
    data: undefined;
    error: null;
    status: "pending";
    isError: false;
    isPending: true;
    isSuccess: false;
    failureCount: number;
    failureReason: import("@wagmi/core").WriteContractErrorType | null;
    isPaused: boolean;
    variables: {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "legacy" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: bigint | undefined;
        maxFeePerGas?: undefined;
        maxPriorityFeePerGas?: undefined;
        authorizationList?: undefined;
        accessList?: undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip2930" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: bigint | undefined;
        maxFeePerGas?: undefined;
        maxPriorityFeePerGas?: undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip1559" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip4844" | undefined;
        maxFeePerBlobGas: bigint;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs: readonly Hex[] | readonly import("viem").ByteArray[];
        blobVersionedHashes?: readonly Hex[] | undefined;
        kzg?: import("viem").Kzg | undefined;
        sidecars?: readonly import("viem").BlobSidecar<Hex>[] | undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip7702" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: import("viem/experimental").AuthorizationList<number, boolean> | undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    };
    isIdle: false;
    reset: () => void;
    context: unknown;
    submittedAt: number;
    revokeSessions: (params: RevokeSessionsArgs) => void;
    revokeSessionsAsync: (params: RevokeSessionsArgs) => Promise<void>;
} | {
    data: undefined;
    error: import("@wagmi/core").WriteContractErrorType;
    status: "error";
    isError: true;
    isPending: false;
    isSuccess: false;
    failureCount: number;
    failureReason: import("@wagmi/core").WriteContractErrorType | null;
    isPaused: boolean;
    variables: {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "legacy" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: bigint | undefined;
        maxFeePerGas?: undefined;
        maxPriorityFeePerGas?: undefined;
        authorizationList?: undefined;
        accessList?: undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip2930" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: bigint | undefined;
        maxFeePerGas?: undefined;
        maxPriorityFeePerGas?: undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip1559" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip4844" | undefined;
        maxFeePerBlobGas: bigint;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs: readonly Hex[] | readonly import("viem").ByteArray[];
        blobVersionedHashes?: readonly Hex[] | undefined;
        kzg?: import("viem").Kzg | undefined;
        sidecars?: readonly import("viem").BlobSidecar<Hex>[] | undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip7702" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: import("viem/experimental").AuthorizationList<number, boolean> | undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    };
    isIdle: false;
    reset: () => void;
    context: unknown;
    submittedAt: number;
    revokeSessions: (params: RevokeSessionsArgs) => void;
    revokeSessionsAsync: (params: RevokeSessionsArgs) => Promise<void>;
} | {
    data: `0x${string}`;
    error: null;
    status: "success";
    isError: false;
    isPending: false;
    isSuccess: true;
    failureCount: number;
    failureReason: import("@wagmi/core").WriteContractErrorType | null;
    isPaused: boolean;
    variables: {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "legacy" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: bigint | undefined;
        maxFeePerGas?: undefined;
        maxPriorityFeePerGas?: undefined;
        authorizationList?: undefined;
        accessList?: undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip2930" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: bigint | undefined;
        maxFeePerGas?: undefined;
        maxPriorityFeePerGas?: undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip1559" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip4844" | undefined;
        maxFeePerBlobGas: bigint;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs: readonly Hex[] | readonly import("viem").ByteArray[];
        blobVersionedHashes?: readonly Hex[] | undefined;
        kzg?: import("viem").Kzg | undefined;
        sidecars?: readonly import("viem").BlobSidecar<Hex>[] | undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    } | {
        abi: import("viem").Abi;
        functionName: string;
        args?: readonly unknown[] | undefined;
        address: Address;
        chain?: import("viem").Chain | null | undefined;
        account?: `0x${string}` | import("viem").Account | null | undefined;
        value?: bigint | undefined;
        dataSuffix?: Hex | undefined;
        gas?: bigint | undefined;
        nonce?: number | undefined;
        type?: "eip7702" | undefined;
        maxFeePerBlobGas?: undefined;
        gasPrice?: undefined;
        maxFeePerGas?: bigint | undefined;
        maxPriorityFeePerGas?: bigint | undefined;
        authorizationList?: import("viem/experimental").AuthorizationList<number, boolean> | undefined;
        accessList?: import("viem").AccessList | undefined;
        blobs?: undefined;
        blobVersionedHashes?: undefined;
        kzg?: undefined;
        sidecars?: undefined;
        chainId?: number | undefined;
        connector?: import("wagmi").Connector | undefined;
        __mode?: "prepared" | undefined;
    };
    isIdle: false;
    reset: () => void;
    context: unknown;
    submittedAt: number;
    revokeSessions: (params: RevokeSessionsArgs) => void;
    revokeSessionsAsync: (params: RevokeSessionsArgs) => Promise<void>;
};
//# sourceMappingURL=useRevokeSessions.d.ts.map